|  | Home · All Classes · Modules

# QDomDocumentFragment Class Reference
[QtXml module]

The QDomDocumentFragment class is a tree of QDomNodes which is not usually a complete QDomDocument. More...

Inherits QDomNode.

### Methods

- __init__ (self)
- __init__ (self, QDomDocumentFragment x)
- QDomNode.NodeType nodeType (self)

## Detailed Description

The QDomDocumentFragment class is a tree of QDomNodes which is not usually a complete QDomDocument.

If you want to do complex tree operations it is useful to have a lightweight class to store nodes and their relations. QDomDocumentFragment stores a subtree of a document which does not necessarily represent a well-formed XML document.

QDomDocumentFragment is also useful if you want to group several nodes in a list and insert them all together as children of some node. In these cases QDomDocumentFragment can be used as a temporary container for this list of children.

The most important feature of QDomDocumentFragment is that it is treated in a special way by QDomNode.insertAfter(), QDomNode.insertBefore(), QDomNode.replaceChild() and QDomNode.appendChild(): instead of inserting the fragment itself, all the fragment's children are inserted.

## Method Documentation

### QDomDocumentFragment.__init__ (self)

Constructs an empty document fragment.

### QDomDocumentFragment.__init__ (self, QDomDocumentFragment x)

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode.NodeType QDomDocumentFragment.nodeType (self)

Returns `DocumentFragment`.

See also isDocumentFragment() and QDomNode.toDocumentFragment().